
/*
 * xsrodata.c: version 1.5 of 6/3/85
 *
 * read only data for the ram monitor
 *	(stuff that can be 'xsrtinged')
 * copyright (c) 1984  American Information Systems Corporation
 *  Dock Williams  July, 1984
 */

/* file that has the typedefs for the debugger monitor */
#include "promhdr.h"
#include "mondef.h"

/* trap name table */

extern char rsv[], vec[];	/* strings defined in rodata.c */

char *trapname[] = {
"NVI", "NMI", "ABT", "FPU", "ILL", "SVC", "DVZ", "FLG",
"BPT", "TRC", "UND",  rsv,   rsv,   rsv,   rsv,   rsv,
vec,    vec,   vec,   vec,   vec,   vec,   vec,   vec,
vec,    vec,   vec,   vec,   vec,   vec,   vec,   vec
};

/* used in disasm.c */
OP1 ops1[] = {
	{"beq",     0x0a, 16},
	{"bne",     0x1a, 16},
	{"bcs",     0x2a, 16},
	{"bcc",     0x3a, 16},
	{"bhi",     0x4a, 16},
	{"bls",     0x5a, 16},
	{"bgt",     0x6a, 16},
	{"ble",     0x7a, 16},
	{"bfs",     0x8a, 16},
	{"bfc",     0x9a, 16},
	{"blo",     0xaa, 16},
	{"bhs",     0xba, 16},
	{"blt",     0xca, 16},
	{"bge",     0xda, 16},
	{"bpt",     0xf2, 0},
	{"br",      0xea, 16},
	{"bsr",     0x02, 16},
	{"cxp",     0x22, 2},
	{"dia",     0xc2, 0},
	{"enter",   0x82, 10},
	{"exit",    0x92, 1},
	{"flag",    0xd2, 0},
	{"nop",     0xa2, 0},
	{"restore", 0x72, 1},
	{"ret",     0x12, 2},
	{"reti",    0x52, 0},
	{"rett",    0x42, 2},
	{"rxp",     0x32, 2},
	{"save",    0x62, 8},
	{"svc",     0xe2, 0},
	{"wait",    0xb2, 0},
	{0, 0, 0}
};

OP2 ops2[] = {
	{0x13,  0x1f,  "acb",   0, 1, 16},
	{0x00,  0x0f,  "add",   0, 0, 0},
	{0x04,  0x0f,  "addc",  0, 0, 0},
	{0x03,  0x1f,  "addq",  0, 1, 0},
	{0x09,  0x0f,  "addr",  2, 0, 0},
	{0x15f, 0x1ff, "adjsp", 0, 2, 0},
	{0x0a,  0x0f,  "and",   0, 0, 0},
	{0x02,  0x0f,  "bic",   0, 0, 0},
	{0x5f,  0x1ff, "bicpsr",1, 2, 0},
	{0xdf,  0x1ff, "bispsr",1, 2, 0},
	{0x1df, 0x1ff, "case",  0, 2, 0},
	{0x01,  0x0f,  "cmp",   0, 0, 0},
	{0x07,  0x1f,  "cmpq",  0, 1, 0},
	{0x1f,  0x1ff, "cxpd",  2, 2, 0},
	{0x19f, 0x1ff, "jsr",   2, 2, 0},
	{0x9f,  0x1ff, "jump",  2, 2, 0},
	{0x1b,  0x1f,  "lpr",   0, 3, 0},
	{0x05,  0x0f,  "mov",   0, 0, 0},
	{0x17,  0x1f,  "movq",  0, 1, 0},
	{0x06,  0x0f,  "or",    0, 0, 0},
	{0x0f,  0x1ff, "seq",   0, 2, 0},
	{0x2f,  0x1ff, "sne",   0, 2, 0},
	{0x4f,  0x1ff, "scs",   0, 2, 0},
	{0x6f,  0x1ff, "scc",   0, 2, 0},
	{0x8f,  0x1ff, "shi",   0, 2, 0},
	{0xaf,  0x1ff, "sls",   0, 2, 0},
	{0xcf,  0x1ff, "sgt",   0, 2, 0},
	{0xef,  0x1ff, "sle",   0, 2, 0},
	{0x10f, 0x1ff, "sfs",   0, 2, 0},
	{0x12f, 0x1ff, "sfc",   0, 2, 0},
	{0x14f, 0x1ff, "slo",   0, 2, 0},
	{0x16f, 0x1ff, "shs",   0, 2, 0},
	{0x18f, 0x1ff, "slt",   0, 2, 0},
	{0x1af, 0x1ff, "sge",   0, 2, 0},
	{0x0b,  0x1f,  "spr",   0, 3, 0},
	{0x08,  0x0f,  "sub",   0, 0, 0},
	{0x0c,  0x0f,  "subc",  0, 0, 0},
	{0x0d,  0x0f,  "tbit",  0, 0, 0},
	{0x0e,  0x0f,  "xor",   0, 0, 0},
	{-1,0,0,0,0,0}
};

OP3 ops3[] = {
	{0x697,  0x7df,  "abs",    0, 0, 1, 1, 0},
	{0x609,  0x79f,  "abs",    0, 0, 1, 0, 0},
	{0x17,   0x7df,  "add",    0, 0, 1, 1, 0},
	{0x789,  0x79f,  "addp",   0, 0, 1, 0, 0},
	{0x89,   0x79f,  "ash",    4, 0, 1, 0, 0},
	{0x109,  0x79f,  "cbit",   0, 0, 1, 0, 0},
	{0x189,  0x79f,  "cbiti",  0, 0, 1, 0, 0},
	{0x1d,   0x9f,   "check",  0, 0, 0, 0, 0},
	{0x117,  0x7df,  "cmp",    0, 0, 1, 1, 0},
	{0x99,   0x79f,  "cmpm",   0, 0, 1, 0, 2},
	{0x81,   0x1f9f, "cmps",   1, 1, 1, 0, 0},
	{0x1081, 0x1fff, "cmpst",  1, 1, 1, 4, 0},
	{0x689,  0x79f,  "com",    0, 0, 1, 0, 0},
	{0x6d,   0xff,   "cvtp",   0, 0, 0, 4, 0},
	{0x599,  0x79f,  "dei",    0, 0, 1, 0, 0},
	{0x417,  0x7df,  "div",    0, 0, 1, 1, 0},
	{0x799,  0x79f,  "div",    0, 0, 1, 0, 0},
	{0x05,   0x9f,   "ext",    0, 0, 0, 0, 2},
	{0x199,  0x79f,  "exts",   0, 0, 1, 0, 4},
	{0x8d,   0x79f,  "ffs",    0, 4, 1, 0, 0},
	{0x707,  0x71f,  "floor",  0, 0, 1, 2, 0},
	{0x709,  0x79f,  "ibit",   0, 0, 1, 0, 0},
	{0x85,   0x9f,   "index",  0, 0, 0, 0, 0},
	{0x15,   0x9f,   "ins",    0, 0, 0, 0, 2},
	{0x119,  0x79f,  "inss",   0, 0, 1, 0, 4},
	{0x1e7,  0xffff, "lfsr",   0, 4, 1, 4, 0},
	{0x163,  0xfff,  "lmr",    0, 3, 1, 4, 0},
	{0x289,  0x79f,  "lsh",    4, 0, 1, 0, 0},
	{0x499,  0x79f,  "mei",    0, 0, 1, 0, 0},
	{0x719,  0x79f,  "mod",    0, 0, 1, 0, 0},
	{0x97,   0x7df,  "mov",    0, 0, 1, 1, 0},
	{0x07,   0x71f,  "mov",    0, 0, 1, 3, 0},
	{0x367,  0x7ff,  "movfl",  0, 0, 1, 6, 0},
	{0x2c7,  0x7ff,  "movlf",  0, 0, 1, 5, 0},
	{0x19,   0x79f,  "movm",   0, 0, 1, 0, 2},
	{0x01,   0x1f9f, "movs",   1, 1, 1, 0, 0},
	{0x1001, 0x1fff, "movst",  1, 1, 1, 4, 0},
	{0x195,  0x79f,  "movsu",  0, 0, 1, 0, 0},
	{0x395,  0x79f,  "movus",  0, 0, 1, 0, 0},
	{0x399,  0x7ff,  "movxbd", 4, 7, 1, 4, 0},
	{0x3b9,  0x7ff,  "movxwd", 5, 7, 1, 4, 0},
	{0x219,  0x7ff,  "movxbw", 4, 5, 1, 4, 0},
	{0x319,  0x7ff,  "movzbd", 4, 7, 1, 4, 0},
	{0x339,  0x7ff,  "movzwd", 5, 7, 1, 4, 0},
	{0x299,  0x7ff,  "movzbw", 4, 5, 1, 4, 0},
	{0x617,  0x7df,  "mul",    0, 0, 1, 1, 0},
	{0x419,  0x79f,  "mul",    0, 0, 1, 0, 0},
	{0x297,  0x7df,  "neg",    0, 0, 1, 1, 0},
	{0x409,  0x79f,  "neg",    0, 0, 1, 0, 0},
	{0x489,  0x79f,  "not",    0, 0, 1, 0, 0},
	{0x619,  0x79f,  "quo",    0, 0, 1, 0, 0},
	{0x63,   0xffff, "rdval",  0, 4, 1, 4, 0},
	{0x699,  0x79f,  "rem",    0, 0, 1, 0, 0},
	{0x09,   0x79f,  "rot",    4, 0, 1, 0, 0},
	{0x407,  0x71f,  "round",  0, 0, 1, 2, 0},
	{0x309,  0x79f,  "sbit",   0, 0, 1, 0, 0},
	{0x389,  0x79f,  "sbiti",  0, 0, 1, 0, 0},
	{0x161,  0xfff,  "setcfg", 1, 2, 1, 4, 0},
	{0x6e7,  0x7ff,  "sfsr",   1, 0, 1, 4, 0},
	{0x181,  0x1f9f, "skps",   1, 1, 1, 0, 0},
	{0x1181, 0x1fff, "skpst",  1, 1, 1, 4, 0},
	{0x1e3,  0xfff,  "smr",    0, 3, 1, 4, 0},
	{0x217,  0x7df,  "sub",    0, 0, 1, 1, 0},
	{0x589,  0x79f,  "subp",   0, 0, 1, 0, 0},
	{0x507,  0x71f,  "trunc",  0, 0, 1, 2, 0},
	{0xe3,   0xffff, "wrval",  0, 4, 1, 4, 0},
	{0,0,0,0,0,0,0,0}
};

short flen[2] = {15, 11};	/* length parameters for f, l */

char *sname[] = {
	"bpr0", "bpr1", "?",   "?",
	"pf0",  "pf1",  "?",   "?",
	"sc",   "?",    "msr", "bcnt",
	"ptb0", "ptb1", "?",   "eia"
};

char *preg[] = {
	"upsr", "?", "?", "?",
	"?", "?", "?", "?",
	"fp", "sp", "sb", "?",
	"?", "psr", "intbase", "mod"
};

char *rnm[] = {
	"fp", "sp", "sb", "pc"
};

/* used synop.c */
extern char cmdc[];
extern char cmdcsyn[];
extern char cmdd[];
extern char cmddsyn[];
extern char cmdf[];
extern char cmdfsyn[];
extern char cmdg[];
extern char cmdgsyn[];
extern char cmdh[];
extern char cmdhsyn[];
extern char cmdi[];
extern char cmdisyn[];
extern char cmdm[];
extern char cmdmsyn[];
extern char cmdo[];
extern char cmdosyn[];
extern char cmdz[];
extern char cmdzsyn[];

SYNOP cmdtab[] = {
    '?',"help","{cmd} ?",
    ',',"step","{count} , (step) | < (step thru jsr) | > (step into jsr)",
    'o', cmdo, "{addr} < /(double), \\(word), `(byte) > \n\r                {(<o,d,x,c,s,u>$) | @ | <count>(+|-) | <val>(LF|^|CR) }",
   	'o',0,"output format {<o,d,x,c,s,u>$}",
    	'o',0,"next       {<count>+, <LF>}   use as pointer    @",
    	'o',0,"previous   {<count>-, ^}      write and quit    {val} <CR>",
    '$',"output format", "{<b,o,d,x,c,u>$}",

#ifdef AUTOP
    'a',"autoprint","{<;<autoprint string>;>} a",
#endif

    'b',"breakpoint","<addr> {count} {-|(r,w,x,p,a,(1|0))} b",
    'c', cmdc, cmdcsyn,
    'd', cmdd, cmddsyn,
    'e',"enable","{-} <a,s,h,t,m,p,u,*> e",

#ifdef AUTOP
	'e',0,"a : auto-print",
#endif

	'e',0,"h : hidden symbol",
	'e',0,"s : symbolic address",

#ifdef MMUBRK
	'e',0,"m : mmu bpt",
#endif MMUBRK

	'e',0,"p : physical address",
	'e',0,"u : user-state debug",

    'f', cmdf, cmdfsyn,
    'g', cmdg, cmdgsyn,
    'i', cmdi, cmdisyn,

#ifdef MONJSR
    'j',"jsr","<addr> {arg0} {arg1} {arg2} j",
#endif MONJSR


/*	'l',0,"* any string of characters    ? any character",	*/

    'm', cmdm, cmdmsyn,
    'p',"proceed","{count} p",
    'r',"registers","{c,f,m} r",

    's',"symbols","<sym> <value> as | <sym> ds | <symbol spec> ls",

#ifdef STRACE
    't',"trace stack","t",
#endif STRACE

    'u',"unassemble","<addr> <count> u",
    'x',"ROM-Monitor","x",
    'z', cmdz, cmdzsyn,
    0,0,0
};

