/* 3200conf.2a.h -- Configuration file for AIS/3200 compilations
 *	(c) American Information Systems Corporation
 *	Daniel Steinberg
 *	March, 1984
 *
 *	This file is linked to 3200config.h in the makefile process
 *	controlled by the make file "Makeprom"
 *
 *	Define CSOURCE before including this file in order to include
 *	the definitions of various structures.
 */

#ifndef CONFIG3200
#define CONFIG3200

/* Compile with MMU defined, configuration includes an MMU */
#define MMU

/* Compile with FPU defined, configuration includes a FPU */
/* #define FPU */

/* Compile for AIS/3200 Revision-2A */
#define REV_2A

/* Define number of bits in an integer */
#ifndef WORDSIZE
#define WORDSIZE 32
#endif

#ifdef CSOURCE
typedef union
	{
	unsigned char	c;
	unsigned int xxxx;
	} byt;
#endif

#include "32032.h"
#include "3200icu.h"

#include "3200addr.2a.h"
#include "3200uart.2a.h"
#include "3200vctr.2a.h"
#include "3200info.2a.h"


/* Assembler options:  define one of ABS_AS or REL_AS */
#define ABS_AS	/* Absolute addressing default in assembler */
/* #define REL_AS	/* PC-Relative addressing default in assembler */

/* #define IMM_AS		/* Immediate mode flagged with $ in assembler */


#endif
