/*  3200vctr.2a.h -- Define device interrupt locations for AIS/3200 Rev-2A
 *  copyright (c)
 * 
 *  Daniel Steinberg
 *	March, 1984
 */

#ifndef VCTR3200
#define VCTR3200

/* Define interrupt controller pin assignments */

#define SPARE_INT	0	/* ??? */
#define	HOST_INIT	1	/* rising:   Host Bus Init */
#define TIMER_INT	2	/* internal: ICU Timer (free-running clock) */
#define S0_INT		3	/* lo-level: S_BUS interrupt 0 */
#define S1_INT		4	/* lo-level: S_BUS interrupt 1 */
#define S2_INT		5	/* lo-level: S_BUS interrupt 2 */
#define CSR_I_INT	6	/* lo-level: CSR loaded by Host */
#define HOST_IPND	7	/* lo-level: Host interrupt pending */
#define S3_INT		8	/* lo-level: S_BUS interrupt 3 */
#define	H0_INT		9	/* hi-level: Host (Master) interrupt 0 */
#define	H1_INT		10	/* hi-level: Host (Master) interrupt 1 */
#define	H2_INT		11	/* hi-level: Host (Master) interrupt 2 */
#define	H3_INT		12	/* hi-level: Host (Master) interrupt 3 */
#define UA_INT		13	/* lo-level: Uart-A Interrupt */
#define UB_INT		14	/* lo-level: Uart-B Interrupt */
#define	TOD_INT		15	/* lo-level: Time-of-Day Clock Interrupt */

/* Define bit numbers for interrupt controller input port */

#define CSR_I_FLG	(CSR_I_INT/2)


#define VECTORS	16	/* total number of interrupt vectors */

#endif
