/* monitor.h -- RAM-Monitor definitions
 * copyright (c) 1984  American Information Systems Corporation
 *	Dock Williams
 *	October, 1983
 */
#ifndef MONITOR
#define MONITOR

#include "promhdr.h"

#include "ais.h"
#include "cflags.h"
#include "memmap.h"
#include "mondef.h"
#include "monflags.h"

/* Define macros for low-level character output */
#ifdef	DB32
#define OUTCHR(c)	{putchar(c);}
#define INCHR()		getchar()

#else
#include <stdio.h>
#define OUTCHR(c)	{outputchar(c);}
#define INCHR()		inputchar()

#endif

/* assorted constants for clarity */
#define BRKCODE	0xf2			/* breakpoint instruction */
#define CXPCODE 0x22			/* cxp */
#define BSRCODE 0x02			/* bsr */
#define JSRCODE 0x7f			/* jsr 1st byte */
#define JSR2CODE 0x06			/* jsr 2nd byte */


#endif
