# AIS debugger
# makefile for AIS debugger
# 9/4/83	dgw	created

#turn on inclusion of autoprint and execute on break in the monitor
AUTOP	=
#turn on inclusion of the jsr monitor command 
MONJSR	=
#turn on inclusion of module table code in dissasmbler
MODTAB	=
#turn on mmu breakpointing
MMUBRK	=
#turn on inclusion of stack tracing code
STRACE	= -DSTRACE
#turn on inclusion of time of day routines
TOD	= -DTOD
#turn on debugging for unrequested information
DEBUG1	= 
#turn on debugging for symbol manipulation
DEBUG2	=
#turn on debugging for unlikely events
DEBUG3	= -DDEBUG3

INC5	= ../INC5
MINC	= ${AUTOP} ${MONJSR} ${MODTAB} ${MMUBRK} ${STRACE} ${TOD}
SINC	= -DDB32 ${MONJSR} ${MMUBRK} ${DEBUG1} ${DEBUG2} ${DEBUG3} -I$(INC5)
CINC	= -DDB32 -DCSOURCE ${MINC} ${DEBUG1} ${DEBUG2} ${DEBUG3} -I$(INC5)

PFX	= M

CF	= -O
CFLAGS	= ${CINC} ${CF}
LDFLAGS = -N

CC	= ${PFX}cc
CPP	= /lib/${PFX}cpp
AS	= ${PFX}as
LD	= ${PFX}ld
AR	= ${PFX}ar
NM	= ${PFX}nm
STRIP	= ${PFX}strip
XSTR	= /usr/ucb/xstr
ABSMON	= $(INC5)/RAMmonaddr.m
ABSLINK	= $(INC5)/RAMmonsize.m

LIBDIR	= Objects
LIBMON	= ${LIBDIR}/prom2b.a

3200HEADERS = \
	$(INC5)/3200addr.2a.h $(INC5)/3200conf.2a.h $(INC5)/3200info.2a.h \
	$(INC5)/3200uart.2a.h $(INC5)/3200vctr.2a.h \
	$(INC5)/32032.h $(INC5)/3200icu.h $(INC5)/3200mmu.h

HEADERS = \
	$(INC5)/ais.h $(INC5)/ascii.h $(INC5)/cflags.h $(INC5)/memmap.h \
	$(INC5)/mondef.h $(INC5)/monitor.h \
	$(INC5)/promhdr.h $(INC5)/monflags.h $(INC5)/vctype.h \
	$(INC5)/vmdispatch.h

CFILES	= \
	brk.c bzero.c char.c cmdproc.c disasm.c dload.c dname.c \
	dummyvios.c input.c memory.c misc.c open.c pregs.c prf.c \
	strcat.c strcmp.c strcpy.c strlen.c strncmp.c strncpy.c \
	rammonitor.c rodata.c rtc.c sym.c synop.c xsrodata.c \
	diagmsg.c stktrace.c

RAMLESS = \
	romarg.S romcmd.S romsub.S romio.S romhelp.S

CRT0 = \
	promcrt0.S romtrap.S


SFILES	= \
	${CRT0} \
	${RAMLESS} \
	prominit.S ramtrap.S \
	ramstart.S montrap.S math.S \
	dummydiag.S romdiag.S


.PRECIOUS: $(LIBMON)

.SUFFIXES: .o .c .s .S .L

prom2b:	$(LIBDIR) $(LIBMON) $(LIBMON)(dummydiag.o) \
		$(LIBDIR)/ramsize.o $(LIBDIR)/strings.o \
		$(LIBDIR)/dummyvios.o ld.file
	$(LD) ${LDFLAGS} -m ld.file -u start -e start $(LIBMON) \
		$(LIBDIR)/ramsize.o $(LIBDIR)/strings.o \
		$(LIBDIR)/dummyvios.o \
		-o prom2b >prom2b.map
	$(NM) -xn prom2b > prom2b.sym &


diag2b:	$(LIBDIR) $(LIBMON) $(LIBMON)(diagmsg.o) $(LIBDIR)/romdiag.o \
		$(LIBDIR)/ramsize.o $(LIBDIR)/strings.o \
		$(LIBDIR)/dummyvios.o ld.file
	-$(AR) dvl $(LIBMON) dummydiag.o 
	$(LD) ${LDFLAGS} -m ld.file -u start -e start $(LIBMON) \
		$(LIBDIR)/romdiag.o $(LIBMON) \
		$(LIBDIR)/ramsize.o $(LIBDIR)/strings.o \
		$(LIBDIR)/dummyvios.o \
		-o diag2b >diag2b.map
	$(NM) -xn diag2b > diag2b.sym

$(LIBDIR):
	mkdir $(LIBDIR)

$(LIBDIR)/ramsize.o:  $(HEADERS) $(3200HEADERS) ramsize.c
	$(CPP) ${CINC} ramsize.c > Xramsize.c
	$(CC) -S ${CF} Xramsize.c 
	sed -f abs.sed Xramsize.s | $(CPP) -P > XXramsize.s
	$(AS) -o $(LIBDIR)/ramsize.o XXramsize.s
	-rm -f Xramsize.c Xramsize.s XXramsize.s

$(LIBDIR)/strings.o: strings
	${XSTR}
	${CC} ${CFLAGS} -S xs.c
	ed - <rofix.ed xs.s
	${AS} -o xs.o xs.s
	mv xs.o $(LIBDIR)/strings.o
	-rm -f xs.c xs.s

$(LIBDIR)/dummyvios.o: dummyvios.c
	${CC} -c ${CFLAGS} dummyvios.c
	mv dummyvios.o $(LIBDIR)/dummyvios.o

$(ABSMON): $(HEADERS) $(3200HEADERS) monaddr.c
	$(CPP) ${CINC} monaddr.c > Xmonaddr.c
	$(CC) -S ${CF} Xmonaddr.c
	sed -f abs.sed Xmonaddr.s > $(ABSMON)
	-rm -f Xmonaddr.c Xmonaddr.s

$(LIBMON)(rodata.o): 
	${CC} -c ${CFLAGS} rodata.c
	$(AR) rvl $(LIBMON) rodata.o 
	-rm -f rodata.o

$(LIBMON)(diagmsg.o): 
	${CC} -c ${CFLAGS} diagmsg.c
	$(AR) rvl $(LIBMON) diagmsg.o 
	-rm -f diagmsg.o

$(LIBMON)(rtc.o):	$(INC5)/rtc.h
	${CC} -c ${CFLAGS} rtc.c
	$(AR) rvl $(LIBMON) rtc.o 
	-rm -f rtc.o
	
$(LIBMON): \
	$(LIBMON)(promcrt.o) \
	$(LIBMON)(raml.o) \
	$(LIBMON)(prominit.o) \
	$(LIBMON)(ramtrap.o) \
	$(LIBMON)(montrap.o) \
	$(LIBMON)(ramstart.o) \
	$(LIBMON)(math.o) \
	$(LIBMON)(brk.o) \
	$(LIBMON)(bzero.o) \
	$(LIBMON)(char.o) \
	$(LIBMON)(cmdproc.o) \
	$(LIBMON)(disasm.o) \
	$(LIBMON)(dload.o) \
	$(LIBMON)(dname.o) \
	$(LIBMON)(input.o) \
	$(LIBMON)(memory.o) \
	$(LIBMON)(misc.o) \
	$(LIBMON)(open.o) \
	$(LIBMON)(pregs.o) \
	$(LIBMON)(prf.o) \
	$(LIBMON)(rammonitor.o) \
	$(LIBMON)(sym.o) \
	$(LIBMON)(synop.o) \
	$(LIBMON)(rodata.o) \
	$(LIBMON)(rtc.o) \
	$(LIBMON)(xsrodata.o) \
	$(LIBMON)(strcat.o) \
	$(LIBMON)(strcmp.o) \
	$(LIBMON)(strcpy.o) \
	$(LIBMON)(strlen.o) \
	$(LIBMON)(strncmp.o) \
	$(LIBMON)(strncpy.o) \
	$(LIBMON)(stktrace.o)

.c.a:
	${CPP} ${CINC} $*.c | ${XSTR} -c -
	${CC} -c ${CF} x.c
	mv x.o $*.o
	$(AR) rvl $(LIBMON) $*.o 
	-rm -f $*.o x.c

.c.L:
	${CPP} ${CINC} $*.c | ${XSTR} -c -
	${CC} -S ${CF} x.c
	mv x.s $*.L
	-rm -f x.c

$(LIBDIR)/romdiag.o:  ${3200HEADERS} ${HEADERS} $(ABSMON) romdiag.S
	${CPP} -P $(SINC) romdiag.S | sed -f imm.sed > Xromdiag.s
# sed -e "s/\\$$//g" -e "s/SQ:/\\\$\'/g"> Xromdiag.s
	$(AS) -o romdiag.o Xromdiag.s
	mv romdiag.o $(LIBDIR)/romdiag.o
	-rm -f Xromdiag.s


$(LIBMON)(dummydiag.o): ${3200HEADERS} ${HEADERS} $(ABSMON) dummydiag.S 

$(LIBMON)(prominit.o): ${3200HEADERS} ${HEADERS} $(ABSMON) prominit.S 

$(LIBMON)(ramtrap.o): ${3200HEADERS} ${HEADERS} $(ABSMON) ramtrap.S 

$(LIBMON)(montrap.o): ${3200HEADERS} ${HEADERS} $(ABSMON) montrap.S 

$(LIBMON)(ramstart.o): ${3200HEADERS} ${HEADERS} $(ABSMON) ramstart.S 

promcrt.s: ${3200HEADERS} ${HEADERS} $(ABSMON) ${CRT0} 
	cat ${CRT0} > promcrt.s

raml.s: ${3200HEADERS} ${HEADERS} ${RAMLESS} 
	cat ${RAMLESS} > raml.s

raml.out: raml.s
	${CPP} -P $(SINC) raml.s | sed -f imm.sed > Xraml.s
# sed -e "s/\\$$//g" -e "s/SQ:/\$'/g"> Xraml.s
	$(AS) -o raml.out Xraml.s
	-rm -f Xraml.s
	
xraml: raml.out rodata.o
	$(LD) $(LDFLAGS) rld.file raml.out rodata.o -o xraml 
	$(NM) -xn xraml > xraml.sym &

.S.a:
	${CPP} -P $(SINC) $*.S | sed -f imm.sed> X$*.s
# sed -e "s/\\$$//g" -e "s/SQ:/\$'/g"> X$*.s
	$(AS) -o $*.o X$*.s
	$(AR) rvl $(LIBMON) $*.o
	-rm -f X$*.s $*.o

.s.a:
	${CPP} -P $(SINC) $*.s | sed -f imm.sed > X$*.s
# sed -e "s/\\$$//g" -e "s/SQ:/\$'/g"> X$*.s
	$(AS) -o $*.o X$*.s
	$(AR) rvl $(LIBMON) $*.o
	-rm -f $*.o X$*.s

$(LIBMON)(misc.o):
	${CPP} ${CINC} $*.c >x.c
	${CC} -c ${CF} x.c
	mv x.o $*.o
	$(AR) rvl $(LIBMON) $*.o 
	-rm -f $*.o x.c

lint:
	lint -hbacn ${CFILES}

$(ABSLINK): $(HEADERS) $(3200HEADERS) monsize.c
	$(CPP) ${CINC} monsize.c > Xmonsize.c
	$(CC) -S ${CF} Xmonsize.c
	sed -f abs.sed Xmonsize.s > $(ABSLINK)
	-rm -f Xmonsize.c Xmonsize.s


# We need to worry about assembly sources below also.  We assume there are no
# files involved that begin with `..' except for `..' itself.
#	The rule works by sequentially producing the dependencies for each
#	source file.  It builds each such list by using the C preprocessor to
#	collect all files required by the current source file.  Grep then
#	collects line directive lines, and awk and sed strip out unwanted
#	fields and punctuation.  The final awk formats the dependencies into
#	a compact form.  (The final grep throws away the entry for the source
#	file itself -- this dependency is recorded elsewhere.)
depend:
	rm -f makedep eddep
	for i in ${CFILES};					do	\
		${CC} -E ${CFLAGS} $$i				|	\
		grep '^#'					|	\
		awk '{ print $$3 }'				|	\
		sed -e 's|/[^/]*/\.\.||g' -e 's|"||g'		|	\
		sort -u						|	\
		grep -v "$$i"					|	\
		awk "BEGIN { of = \"$$(LIBMON)(`basename $$i .c`\" \".o): \
		     $(INC5)/promhdr.h \"; rec = of }\
		     { if (length(rec \$$0) > 78) { print rec; rec = of \$$0 }\
		      else rec = rec \" \" \$$0 }			\
		     END { print rec }" >> makedep		;	\
	done
	echo '$$r makedep' >>eddep
	echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >>eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm makedep eddep

tags:
	/usr/ucb/ctags ${CFILES}

# DO NOT DELETE THIS LINE -- make depends on it
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h ../INC5/32032.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/ais.h ../INC5/cflags.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/monflags.h ../INC5/monitor.h
$(LIBMON)(brk.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(bzero.o): 	     ../INC5/promhdr.h 
$(LIBMON)(char.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/ascii.h ../INC5/cflags.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/monflags.h ../INC5/monitor.h
$(LIBMON)(char.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/cflags.h ../INC5/memmap.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/mondef.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/monflags.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/monitor.h
$(LIBMON)(cmdproc.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/cflags.h ../INC5/memmap.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/mondef.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/monflags.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/monitor.h
$(LIBMON)(disasm.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(dload.o): 	     ../INC5/promhdr.h ../INC5/32032.h
$(LIBMON)(dname.o): 	     ../INC5/promhdr.h 
$(LIBMON)(dummyvios.o): 	     ../INC5/promhdr.h 
$(LIBMON)(input.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/ascii.h ../INC5/cflags.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/monflags.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/monitor.h ../INC5/promhdr.h
$(LIBMON)(input.o): 	     ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200mmu.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/cflags.h ../INC5/memmap.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/mondef.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/monflags.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/monitor.h
$(LIBMON)(memory.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/cflags.h ../INC5/memmap.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/mondef.h ../INC5/monflags.h
$(LIBMON)(misc.o): 	     ../INC5/promhdr.h ../INC5/monitor.h ../INC5/promhdr.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/ascii.h ../INC5/cflags.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/monflags.h ../INC5/monitor.h
$(LIBMON)(open.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/cflags.h ../INC5/memmap.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/mondef.h ../INC5/monflags.h
$(LIBMON)(pregs.o): 	     ../INC5/promhdr.h ../INC5/monitor.h ../INC5/promhdr.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h ../INC5/32032.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/ais.h ../INC5/cflags.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/monflags.h ../INC5/monitor.h
$(LIBMON)(prf.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(strcat.o): 	     ../INC5/promhdr.h 
$(LIBMON)(strcmp.o): 	     ../INC5/promhdr.h  ../INC5/vctype.h
$(LIBMON)(strcpy.o): 	     ../INC5/promhdr.h 
$(LIBMON)(strlen.o): 	     ../INC5/promhdr.h 
$(LIBMON)(strncmp.o): 	     ../INC5/promhdr.h  ../INC5/vctype.h
$(LIBMON)(strncpy.o): 	     ../INC5/promhdr.h 
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/32032.h ../INC5/ais.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/cflags.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/memmap.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/mondef.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/monflags.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/monitor.h
$(LIBMON)(rammonitor.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h
$(LIBMON)(rodata.o): 	     ../INC5/promhdr.h  ../INC5/vctype.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h  ../INC5/3200addr.2a.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/3200config.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/3200icu.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/3200info.2a.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/3200uart.2a.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/3200vctr.2a.h ../INC5/32032.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/ais.h ../INC5/cflags.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/memmap.h ../INC5/mondef.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/monflags.h ../INC5/monitor.h
$(LIBMON)(sym.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h ../INC5/vctype.h
$(LIBMON)(synop.o): 	     ../INC5/promhdr.h  ../INC5/cflags.h ../INC5/mondef.h
$(LIBMON)(xsrodata.o): 	     ../INC5/promhdr.h  ../INC5/cflags.h
$(LIBMON)(xsrodata.o): 	     ../INC5/promhdr.h ../INC5/mondef.h
$(LIBMON)(xsrodata.o): 	     ../INC5/promhdr.h ../INC5/promhdr.h
$(LIBMON)(diagmsg.o): 	     ../INC5/promhdr.h 
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h  ./../INC5/3200addr.2a.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/3200config.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/3200icu.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/3200info.2a.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/3200uart.2a.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/3200vctr.2a.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/32032.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/ais.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/cflags.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/memmap.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/mondef.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/monflags.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/monitor.h
$(LIBMON)(stktrace.o): 	     ../INC5/promhdr.h ./../INC5/promhdr.h
